Subject: [bug#68498] [PATCH] guix-install.sh: Make Guix modules available too.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Thu, 25 Jan 2024 09:00:25 +0100

Ludovic Courtès writes:

Hi,

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> * etc/guix-install.sh (GUILE_LOAD_PATH): Prepend directory to current Guix
>> modules.
>> (GUILE_LOAD_COMPILED_PATH): Likewise to compiled modules.

[..]

>> +# Make Guix modules available
>> +export GUILE_LOAD_PATH="$_GUIX_PROFILE/share/guile/site/3.0${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH"
>> +export GUILE_LOAD_COMPILED_PATH="$_GUIX_PROFILE/lib/guile/3.0/site-ccache${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH"
>
> My inclination would be to let people just use ‘guix repl’, but maybe
> that’s not satisfactory or convenient?  WDYT?

The intention is to have the foreign distro experience resemble Guix
System more, esp. for newbee users.  If you have a code base that uses
Guix modules and comes with a guix.scm, running "guix shell" doesn't
work for them.  Unless, maybe, you add "guix" to the package's
native-inputs -- yuck.

They'd have to probably do something guix time-machine --channel=xxx to
get access to guix modules.  That, or source a script that set the
environment variables, which is what we let them do currently.  I was
guessing "everyone" is probably fighting with this, so finally decided
to upstream it :)

If there's a better/easier solution for this, I'm all ears!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com